declare const addDefineProps: (code: string, PropertyList: {
    type: string;
    name: string;
}[], something: string) => string;
declare const addDefinePropsByComponentProps: (code: string) => string;
declare const replaceFunctionToArrowFunction: (code: string) => string;
declare const replaceNormalVariableToRef: (code: string, func: Function) => string;
declare const replaceUpperMessage: (code: string) => string;
declare const resolveCode: (code: string, { isTs, toPinia, onlyTemplate, onlyScript }: {
    isTs?: boolean | undefined;
    toPinia?: boolean | undefined;
    onlyTemplate?: boolean | undefined;
    onlyScript?: boolean | undefined;
}) => string;

export { addDefineProps, addDefinePropsByComponentProps, replaceFunctionToArrowFunction, replaceNormalVariableToRef, replaceUpperMessage, resolveCode };
